Rcc (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.compiler.generated
Class Rcc

    java.lang.Object
      org.apache.hadoop.record.compiler.generated.Rcc

All Implemented Interfaces:
  RccConstants

    public class Rcc

extends Object
implements RccConstants

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`RccTokenManager` | `token_source`

Fields inherited from interface org.apache.hadoop.record.compiler.generated.RccConstants
`BOOLEAN_TKN, BUFFER_TKN, BYTE_TKN, COMMA_TKN, CSTRING_TKN, DEFAULT, DOT_TKN, DOUBLE_TKN, EOF, FLOAT_TKN, GT_TKN, IDENT_TKN, INCLUDE_TKN, INT_TKN, LBRACE_TKN, LONG_TKN, LT_TKN, MAP_TKN, MODULE_TKN, RBRACE_TKN, RECORD_TKN, SEMICOLON_TKN, tokenImage, USTRING_TKN, VECTOR_TKN, WithinMultiLineComment, WithinOneLineComment`

Constructor Summary
`Rcc(InputStream stream)`
`Rcc(InputStream stream, String encoding)`
`Rcc(RccTokenManager tm)`
`Rcc(Reader stream)`

Method Summary
`void` | `disable_tracing()`
`static int` | `driver(String[] args)`
`void` | `enable_tracing()`
`JField<JType>` | `Field()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`JFile` | `Include()`
`JFile` | `Input()`
`static void` | `main(String[] args)`
`JMap` | `Map()`
`ArrayList<JRecord>` | `Module()`
`String` | `ModuleName()`
`JRecord` | `Record()`
`ArrayList<JRecord>` | `RecordList()`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(InputStream stream, String encoding)`
`void` | `ReInit(RccTokenManager tm)`
`void` | `ReInit(Reader stream)`
`JType` | `Type()`
`static void` | `usage()`
`JVector` | `Vector()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public RccTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### Rcc

    public Rcc(InputStream stream)

### Rcc

    public Rcc(InputStream stream,
               String encoding)

### Rcc

    public Rcc(Reader stream)

### Rcc

    public Rcc(RccTokenManager tm)

Method Detail

### main

    public static void main(String[] args)

### usage

    public static void usage()

### driver

    public static int driver(String[] args)

### Input

    public final JFile Input()
                      throws ParseException

  Throws:
    `ParseException`

### Include

    public final JFile Include()
                        throws ParseException

  Throws:
    `ParseException`

### Module

    public final ArrayList<JRecord> Module()
                                    throws ParseException

  Throws:
    `ParseException`

### ModuleName

    public final String ModuleName()
                            throws ParseException

  Throws:
    `ParseException`

### RecordList

    public final ArrayList<JRecord> RecordList()
                                        throws ParseException

  Throws:
    `ParseException`

### Record

    public final JRecord Record()
                         throws ParseException

  Throws:
    `ParseException`

### Field

    public final JField<JType> Field()
                              throws ParseException

  Throws:
    `ParseException`

### Type

    public final JType Type()
                     throws ParseException

  Throws:
    `ParseException`

### Map

    public final JMap Map()
                   throws ParseException

  Throws:
    `ParseException`

### Vector

    public final JVector Vector()
                         throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(InputStream stream,
                       String encoding)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(RccTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation